Bug 1056479 - (CVE-2013-6477) CVE-2013-6477 pidgin: DoS when handling timestamps in the XMPP plugin
CVE-2013-6477 pidgin: DoS when handling timestamps in the XMPP plugin
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140128,repor...
: Security
Depends On: 1058238 1058239 1058240 1058242 1058243 1059049
Blocks: 1054257
  Show dependency treegraph
 
Reported: 2014-01-22 04:42 EST by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 10:40 EST (History)
7 users (show)

See Also:
Fixed In Version: pidgin 2.10.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-19 16:05:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2014-01-22 04:42:17 EST
A Denial-of-service flaw was found in the way the XMPP protocol plugin of pidgin handled messages with invalid timestamps. A remote XMPP user can trigger a crash on some systems by sending a
message with a timestamp in the distant future.


Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Jaime Breva Ribes as the original reporter of this issue.
Comment 5 Vincent Danen 2014-01-28 16:03:20 EST
External References:

http://pidgin.im/news/security/?id=71
Comment 6 Huzaifa S. Sidhpurwala 2014-01-28 23:21:03 EST
Created pidgin tracking bugs for this issue:

Affects: fedora-all [bug 1059049]
Comment 7 errata-xmlrpc 2014-02-05 12:44:17 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0139 https://rhn.redhat.com/errata/RHSA-2014-0139.html
Comment 8 Fedora Update System 2014-02-05 22:49:13 EST
pidgin-2.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-02-14 02:58:48 EST
pidgin-2.10.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.